summaryrefslogtreecommitdiffstats
path: root/test/test-path-util/script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/test-path-util/script.sh')
-rwxr-xr-xtest/test-path-util/script.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/test/test-path-util/script.sh b/test/test-path-util/script.sh
new file mode 100755
index 0000000..d13b363
--- /dev/null
+++ b/test/test-path-util/script.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+# SPDX-License-Identifier: LGPL-2.1-or-later
+
+echo "$0 $*"
+test "$(basename "$0")" = "script.sh" || exit 1
+test "$1" = "--version" || exit 2
+echo "Life is good"